(function (Drupal, drupalSettings) {
  Drupal.behaviors.cpTooltipBehavior = {
    attach: function (context, settings) {
      if (typeof drupalSettings.tooltip_modal_popup !== 'undefined') {
        const tooltipData = drupalSettings.tooltip_modal_popup;
        if (tooltipData) {
          tooltipData.forEach((tooltip, i) => {
            once('my_search', tooltip['js_selector'], context).forEach((search) => {
              const toolTipWrap = document.createElement("a");
              toolTipWrap.setAttribute('href', '/tooltip-modal-window/' + i);
              toolTipWrap.classList.add("tooltip-modal-popup");
              toolTipWrap.classList.add("use-ajax");
              toolTipWrap.setAttribute('data-dialog-options', '{"width":800,"height":600}');
              toolTipWrap.setAttribute('data-dialog-type', 'modal');
              toolTipWrap.innerHTML = tooltip['tooltip'];
              search.append(toolTipWrap);
              Drupal.attachBehaviors(document.querySelector('.tooltip-modal-popup')[0]);
            });
          });
        }
      }
    }
  };
})(Drupal, drupalSettings);
